/*
 * File: TouchBoard_Y_handle_10ms.c
 *
 * Code generated for Simulink model 'P417_SWTR_App'.
 *
 * Model version                  : 1.165
 * Simulink Coder version         : 8.13 (R2017b) 24-Jul-2017
 * C/C++ source code generated on : Sun Jun 25 21:59:14 2023
 *
 * Target selection: ert.tlc
 * Embedded hardware selection: Intel->x86-64 (Windows64)
 * Code generation objectives: Unspecified
 * Validation result: Not run
 */

#include "TouchBoard_Y_handle_10ms.h"

/* Include model header file for global data */
#include "P417_SWTR_App.h"
#include "P417_SWTR_App_private.h"

/* System initialize for function-call system: '<S2>/TouchBoard_Y_handle_10ms' */
void P_TouchBoard_Y_handle_10ms_Init(B_TouchBoard_Y_handle_10ms_P4_T *localB)
{
  /* SystemInitialize for Atomic SubSystem: '<S28>/Subsyste_selY' */
  P417_SWTR_A_Subsystem_selX_Init(&localB->Slect);

  /* End of SystemInitialize for SubSystem: '<S28>/Subsyste_selY' */
}

/* Output and update for function-call system: '<S2>/TouchBoard_Y_handle_10ms' */
void P417_S_TouchBoard_Y_handle_10ms(uint8_T rtu_Board_XY_Triggafhd_in, uint8_T
  rtu_Voice_Triggafhd_in, uint8_T rtu_Vol_Triggafhd_in, uint8_T
  rtu_Menu_Triggafhd_in, uint8_T rtu_Up_Trigg_afhd_in, uint8_T
  rtu_Down_Trigg_afhd_in, uint8_T rtu_Left_Trigg_afhd_in, uint8_T
  rtu_Right_Trigg_afhd_in, uint8_T rtu_Center_Trigg_afhd_in,
  B_TouchBoard_Y_handle_10ms_P4_T *localB)
{
  /* Outputs for Atomic SubSystem: '<S28>/Subsyste_selY' */

  /* RelationalOperator: '<S62>/Compare' incorporates:
   *  Constant: '<S62>/Constant'
   *  Constant: '<S63>/Constant'
   *  Constant: '<S64>/Constant'
   *  Constant: '<S65>/Constant'
   *  Constant: '<S66>/Constant'
   *  Constant: '<S67>/Constant'
   *  Constant: '<S68>/Constant'
   *  Constant: '<S69>/Constant'
   *  Constant: '<S70>/Constant'
   *  RelationalOperator: '<S63>/Compare'
   *  RelationalOperator: '<S64>/Compare'
   *  RelationalOperator: '<S65>/Compare'
   *  RelationalOperator: '<S66>/Compare'
   *  RelationalOperator: '<S67>/Compare'
   *  RelationalOperator: '<S68>/Compare'
   *  RelationalOperator: '<S69>/Compare'
   *  RelationalOperator: '<S70>/Compare'
   */
  P417_SWTR_App_Subsystem_selX((uint8_T)(rtu_Board_XY_Triggafhd_in > 0),
    (uint8_T)(rtu_Voice_Triggafhd_in > 0), (uint8_T)(rtu_Vol_Triggafhd_in > 0),
    (uint8_T)(rtu_Menu_Triggafhd_in > 0), (uint8_T)(rtu_Up_Trigg_afhd_in > 0),
    (uint8_T)(rtu_Down_Trigg_afhd_in > 0), (uint8_T)(rtu_Left_Trigg_afhd_in > 0),
    (uint8_T)(rtu_Right_Trigg_afhd_in > 0), (uint8_T)(rtu_Center_Trigg_afhd_in >
    0), &localB->Slect);

  /* End of Outputs for SubSystem: '<S28>/Subsyste_selY' */

  /* MultiPortSwitch: '<S28>/Multiport Switch' incorporates:
   *  Constant: '<S28>/Constant'
   *  Constant: '<S28>/Constant1'
   *  Constant: '<S28>/Constant2'
   *  Constant: '<S28>/Constant3'
   *  Constant: '<S28>/Constant4'
   *  Constant: '<S28>/Constant5'
   *  Constant: '<S28>/Constant6'
   *  Constant: '<S28>/Constant7'
   *  Constant: '<S28>/Constant8'
   */
  switch (localB->Slect) {
   case 1:
    RTE_Set_CAN_SteerWhlTouchBdRiTouchPosnY(0U);
    break;

   case 2:
    RTE_Set_CAN_SteerWhlTouchBdRiTouchPosnY(41U);
    break;

   case 3:
    RTE_Set_CAN_SteerWhlTouchBdRiTouchPosnY(125U);
    break;

   case 4:
    RTE_Set_CAN_SteerWhlTouchBdRiTouchPosnY(210U);
    break;

   case 5:
    RTE_Set_CAN_SteerWhlTouchBdRiTouchPosnY(55U);
    break;

   case 6:
    RTE_Set_CAN_SteerWhlTouchBdRiTouchPosnY(203U);
    break;

   case 7:
    RTE_Set_CAN_SteerWhlTouchBdRiTouchPosnY(130U);
    break;

   case 8:
    RTE_Set_CAN_SteerWhlTouchBdRiTouchPosnY(130U);
    break;

   case 9:
    RTE_Set_CAN_SteerWhlTouchBdRiTouchPosnY(130U);
    break;
  }

  /* End of MultiPortSwitch: '<S28>/Multiport Switch' */
}

/*
 * File trailer for generated code.
 *
 * [EOF]
 */
